eth_getProof - DogeOS

Returns the account and storage values of the specified account including the Merkle-proof. This call can be used to verify that the data you are pulling from is not tampered with.

Returns the account and storage values of the specified account including the Merkle-proof. This call can be used to verify that the data you are pulling from is not tampered with.

PARAMETERS

Address - (required) A 20-byte address of the account.

Storage Keys - (required) An array of 32-byte storage keys to inspect.

Block Number - (optional) An integer block number, or the string "latest" or "earliest" as described in the default block parameter.

REQUEST

{
  "jsonrpc": "2.0",
  "method": "eth_getProof",
  "params": [
    "0x871f1181AA63c988325539cF4b502E092595B50E",
    [
      "0x56e81f171bcc55a6ff8345e692c0f86e5b48e01b996cadc001622fb5e363b421"
    ],
    "latest"
  ],
  "id": 1
}

RESPONSE

Object - An account object with the following fields:

  • balance - The balance of the account. See eth_getBalance.
  • codeHash - The hash of the code of the account. For a simple account without code, it will return "0x56e81f171bcc55a6ff8345e692c0f86e5b48e01b996cadc001622fb5e363b421".
  • nonce - The nonce of the account. See eth_getTransactionCount.
  • storageHash - The SHA3 of the storage root. All storage will deliver a Merkle proof starting with this root hash.
  • accountProof - An array of RLP-serialized Merkle tree nodes, starting with the state root node, following the path of the SHA3(address) as the key.
  • storageProof - An array of storage entries as requested. Each entry is an object with these properties:
    • key - The requested storage key.
    • value - The storage value.
    • proof - An array of RLP-serialized Merkle tree nodes, starting with the storage hash node, following the path of the SHA3(key) as the path.
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "address": "0x871f1181aa63c988325539cf4b502e092595b50e",
    "accountProof": [
      "0xf90211a096aad85a53f35077f76548c029292b4da24ac30a40f0f84961263e26638c050ea01c13b025e4344dfd338ea6a1d6692c1d78442b38b6f6daafe18e3bbd4c87ab0ba0c2be0101b4ec12aa256fe5a73f3131a39bd6528a832ba6f81f532e5e76d8716ca0a995bc0aa9ca7ef2479747aea90c3ac2cd5c9c3e9029a0bebbdbee3e0f694a5da0fb063eaa34450ec5776d805724309eb90511145c7ed43b620a9a08804e9b9d8da098ab76fba41c8211394a59e891cdee69e3aca558e55d1e6bc892bced00ecf0d5a0a4c5b6a293faab903ad0924bf6bf58cca23ac93e39df8cb8d0bfc2aeceeb29a9a08973e485fde3e34090b552c274e7fdb80213ca91cca3fcb91ce6796f9209d4c8a073bd248e408b2c92f8fdcb4b5a8b7d165ca6b62b9ea95a0a48ef8072e3f6b41ea0bc02debcc6d3170a612c0d56a2da8a19f84affeeea2a2b41f831d8240d1f98aaa0386077b564b7d12c1584cd7985d00ecd82916ee5bfb033101bd407d34b331b66a05ca8d8ba2f9e826d875bcb0026dc7e3c481821338222fb4a14ae518bfcdf7741a0e0a41cc362db156601eec9b2202e68f73871f2e072808eddbdc0480fc1854088a0d55b5b2ff5fde714a248bc787f31b043671e5aa6270147463da40629244fd5c9a0d16f1d75d67f64466685019c37795e0d3cfdf0fe3e3cbf52c3933a7492501a49a06fac63d3b71c5752ba47828bc442f66be731a7fea1b1c4f07ee7905d7aed1ee480",
      "0xf901d1a0ce6d31261a34bde11c56bd72c36dd70ead6249ba2c569bfdc2aed020b15bf406a0317f9d0f5b2fe2d3ce49b0c7633f0cff6169bd6484ae6142c16b744287952ad2a0d0bd2ef387c500e6c8de91015abf2ab47bf6bdc8c454b89b5556189b081bf143a018851c8b5032fdce16baff876f49bf0feb4103aa379ba2d0f4990f3cd26948b5a02faf5558389465d0c3db2d2e060ba8c4c7c6437978599a528c47fdfe6aea712880a05e312a676efca11dacaa825eb1d899e200255b8bf4233cab8b6ee932f875ecd1a0d126e08bd82bb4a74547d20617e3fcb4d329357b19c3127949c41ec909fb7f02a085b016aee27efe3fdfdd0ac4be87888ef34980b2ca5a9846add80d8cf8317248a022d2d48143eb06838183ddc6cb29869ccd997112649fa89427d33136bd471bbaa05233e6afe5596722c654116d207d4e8c8e9d6d46f3dec57433b66bdbdfa6972da05a73b5ac45d71d3465c21088a8503f27c9e2feefdf75101a5d5f620784560bab80a033cec78f08d0c2f7d7c68bf17926c0a4a45193d6dde39b3530c4c33f47ddb2e7a0bb64e834f1390e3540a544656a642cd98a6e61ecedc8d3b0b019ff364b3b8e3aa0753ba8391fb01d51391d9059fab78a27d256ee73fc03c853c56e0385db534e3080",
      "0xf873a0200dc4403d6d2dfbdcf1a03d58f7630a0068d863f9be0030f19f4689d03c1041b850f84e82059d888ac3d05bd1bab640a056e81f171bcc55a6ff8345e692c0f86e5b48e01b996cadc001622fb5e363b421a0c5d2460186f7233c927e7db2dcc703c0e500b653ca82273b7bfad8045d85a470"
    ],
    "balance": "0x8ac3d05bd1bab640",
    "poseidonCodeHash": "0x0000000000000000000000000000000000000000000000000000000000000000",
    "keccakCodeHash": "0xc5d2460186f7233c927e7db2dcc703c0e500b653ca82273b7bfad8045d85a470",
    "codeSize": "0x0",
    "nonce": "0x59d",
    "storageHash": "0x56e81f171bcc55a6ff8345e692c0f86e5b48e01b996cadc001622fb5e363b421",
    "storageProof": [
      {
        "key": "0x56e81f171bcc55a6ff8345e692c0f86e5b48e01b996cadc001622fb5e363b421",
        "value": "0x0",
        "proof": []
      }
    ]
  }
}
    
Path Params
string
required
Body Params
string
required
Defaults to 2.0

The version of the JSON-RPC protocol.

string
required
Defaults to eth_getProof

The name of the method to be called.

params
array
required
Defaults to 0x871f1181AA63c988325539cF4b502E092595B50E,0x56e81f171bcc55a6ff8345e692c0f86e5b48e01b996cadc001622fb5e363b421,latest

A list of parameters to pass to the method.

params*
integer
required
Defaults to 1

A unique identifier for the request.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json